# $Id: apcon.spec.in,v 1.6 2005/01/31 16:21:01 kaasy Exp $

%define name	apcon
%define version 0.2.3
%define rel     25.2andyrtr

Summary: 	A KDE system tray application for managing different network/connection profiles.
Name: 		%name
Version: 	%version
Release: 	%rel
License: 	GPL, CPL
URL:		http://apcon.sourceforge.net
Group: 		Networking/Other
Source: 	%{name}-%version.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
Requires: 	qt >= 3.1
Requires: 	dhcpcd

#Requires: kdelibs >= 3.1
#Requires: XFree86-libs >= 4.3
#Requires: libart_lgpl >= 2.3.11
#Requires: libpng >= 1.2.2
#Requires: libstdc++ >= 3.2
#Requires: zlib >= 1.1.4
#BuildRequires: kdelibs-devel >= 3.2.2

#%define _unpackaged_files_terminate_build 0

%description
Apcon is a system tray application for KDE, that allows users to easily specify 
and manage different network/connection profiles and connect/disconnect to them. 
A user can also view the details of a connection.

A profile will be specified using any kind of executable programs. In most cases 
an user will write three scripts (connect/disconnect/status). This makes apcon 
completely open to any kind of needed profiles. It comes with two profiles for 
connecting to VPNs using the Cisco VPN Client and the vpnc.

%prep
%setup

%build
%configure
make

%install
/bin/rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/apcon/scripts
install -c -p -m 644 apcon/scripts/connect $RPM_BUILD_ROOT/etc/apcon/scripts/connect
install -c -p -m 644 apcon/scripts/disconnect $RPM_BUILD_ROOT/etc/apcon/scripts/disconnect
install -c -p -m 644 apcon/scripts/status $RPM_BUILD_ROOT/etc/apcon/scripts/status
install -c -p -m 644 apcon/scripts/default $RPM_BUILD_ROOT/etc/apcon/default

install -d $RPM_BUILD_ROOT%{_prefix}/bin
/bin/sh ./libtool --silent --mode=install install -c -p -m 755 apcon/apcon $RPM_BUILD_ROOT%{_prefix}/bin/apcon
/bin/sh ./libtool --silent --mode=install install -c -p -m 4755 apcon/apcon-run $RPM_BUILD_ROOT%{_prefix}/bin/apcon-run

install -d $RPM_BUILD_ROOT%{_prefix}/share/applnk/Internet
install -c -p -m 644 apcon/apcon.desktop $RPM_BUILD_ROOT%{_prefix}/share/applnk/Internet/apcon.desktop
install -d $RPM_BUILD_ROOT%{_prefix}/share/icons/hicolor/16x16/apps
install -c -p -m 644 apcon/hi16-app-apcon.png $RPM_BUILD_ROOT%{_prefix}/share/icons/hicolor/16x16/apps/apcon.png
install -c -p -m 644 apcon/hi16-app-apcon_off.png $RPM_BUILD_ROOT%{_prefix}/share/icons/hicolor/16x16/apps/apcon_off.png
install -c -p -m 644 apcon/hi16-app-apcon_sel.png $RPM_BUILD_ROOT%{_prefix}/share/icons/hicolor/16x16/apps/apcon_sel.png
install -d $RPM_BUILD_ROOT%{_prefix}/share/icons/hicolor/32x32/apps
install -c -p -m 644 apcon/hi32-app-apcon.png $RPM_BUILD_ROOT%{_prefix}/share/icons/hicolor/32x32/apps/apcon.png
install -c -p -m 644 apcon/hi32-app-apcon_off.png $RPM_BUILD_ROOT%{_prefix}/share/icons/hicolor/32x32/apps/apcon_off.png
install -d $RPM_BUILD_ROOT%{_prefix}/share/icons/hicolor/22x22/apps
install -c -p -m 644 apcon/hi22-app-apcon.png $RPM_BUILD_ROOT%{_prefix}/share/icons/hicolor/22x22/apps/apcon.png
install -c -p -m 644 apcon/hi22-app-apcon_off.png $RPM_BUILD_ROOT%{_prefix}/share/icons/hicolor/22x22/apps/apcon_off.png
install -c -p -m 644 apcon/hi22-app-apcon_sel.png $RPM_BUILD_ROOT%{_prefix}/share/icons/hicolor/22x22/apps/apcon_sel.png
install -d $RPM_BUILD_ROOT%{_prefix}/share/pixmaps
install -c -p -m 644 apcon/apcon-bann.png $RPM_BUILD_ROOT%{_prefix}/share/pixmaps/apcon-bann.png

install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl apcon Internet/Other $RPM_BUILD_ROOT/%{_datadir}/applnk/Internet/apcon.desktop $RPM_BUILD_ROOT/%{_menudir}/apcon kde
rm -f %buildroot/%_datadir/applnk/Internet/apcon.desktop

#icons for rpmlint
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{update_menus}

%postun
%{clean_menus}


%files
%defattr(-,root,root)
/etc/apcon/scripts/connect
/etc/apcon/scripts/disconnect
/etc/apcon/scripts/status
/etc/apcon/default
%{_prefix}/bin/apcon
%{_prefix}/bin/apcon-run
%{_prefix}/share/icons/hicolor/16x16/apps/apcon.png
%{_prefix}/share/icons/hicolor/16x16/apps/apcon_off.png
%{_prefix}/share/icons/hicolor/22x22/apps/apcon.png
%{_prefix}/share/icons/hicolor/22x22/apps/apcon_off.png
%{_prefix}/share/icons/hicolor/32x32/apps/apcon.png
%{_prefix}/share/icons/hicolor/32x32/apps/apcon_off.png
%{_prefix}/share/icons/hicolor/16x16/apps/apcon_sel.png
%{_prefix}/share/icons/hicolor/22x22/apps/apcon_sel.png
%{_prefix}/share/pixmaps/apcon-bann.png
%doc authors copying ChangeLog install readme todo
%{_menudir}/*

%changelog
* Sun Feb 06 2005 AndyRTR <andreas.radke@freenet.de> 0.2.3-25.2andyrtr
- menu integration
- doc integration

* Sat Feb 05 2005 AndyRTR <andreas.radke@freenet.de> 0.2.3-25.1andyrtr
- rebuild for Mandrake 10.1

* Mon Jan 31 2005 Clemens Nafe
	- changelog from Andreas Pohl:
		* added option for authentication mode
		* fixed connect script (detection of hex/string key)
* Thu Jan 27 2005 Clemens Nafe
	- update to version 0.2.3
	- changelog from Andreas Pohl:
		* fixed disconnect script
		* first start wizard runs correctly now
		* improved expert settings dialog
		  - show all variables (defaults too, from /etc/apcon/defaults)
		  - make different variable types visible (user defined, defaults
		  and overwritten defaults)
		* removed usage of sudo
		* new tool to run scripts as root
		* fixed status script for use with different languages of ifconfig
		* added color definitions for different variable types to the
		  expert settings
* Wed Dec 15 2004 Clemens Nafe
	- update to version 0.2.0
	- changlog from Andreas Pohl:
		* new wizard to create profiles
		* new configuration dialogs for configurating profiles
		* new generic connection/disconnection/status scripts
		* improved profile management
		* removed cisco and vpnc predefined profiles
* Wed May 12 2004 Clemens Nafe
	- initial creation of SPEC file

